Subject: Re: [bitcoin-dev] What Lightning Is

From: Patrick Strateman <[email-masked]>
Date: Sun, 09 Aug 2015 15:36:28 -0700

On the contrary those costs are clearly very low.

Both the time value of money and operating expenses will be trivial with
even a small volume of transactions.

The true cost of operating a hub is clearly in the enhanced risk of loss.

It's clear that risk of loss will be moderated by market forces.

The hubs which are better at securing their systems will reduce their
risk of loss and obtain a competitive advantage.

It's also important to note that the risk of loss is the same whether
the hub is doing 1 transaction/second or 1 million transactions/second.

At 1 transaction/second the cost (but not necessarily the fees) is going
to be quite high.

At 1 million transactions/second the cost is going to be very very low.

On 08/09/2015 03:03 PM, Hector Chu wrote:
> Ok good. We have established it to be a non-trivial cost.
> Now, what is the growth complexity of the total cost of the network in
> terms of number of connections each hub has to other hubs? And then,
> consider a payment channel with many hops in it. The end-to-end users
> would have to swallow all the costs of the hubs in the channel.
>
> On 9 August 2015 at 22:57, Patrick Strateman via bitcoin-dev
> <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     The costs of operating a hub are as follows:
>
>     Time value of the funds the Hub has locked up in payment channels.
>     Enhanced risk of loss of control of private keys (the keys
>     necessarily need to be on an internet connected system).
>     Operating costs (I expect this will be minimal).
>
>     The hub can charge a fee for it's services to recoup these costs.
>
>
>     On 08/09/2015 02:45 PM, Hector Chu via bitcoin-dev wrote:
>>     Tom, my understanding is that the money that is debited from a
>>     payment hub is simultaneously credited from either another
>>     payment hub or the person making the payment, so that the net
>>     funds flow at a payment hub always sums to zero. So no, there is
>>     no credit advanced by the payment hub to anyone.
>>
>>     Given Mark's previous answer of using CPFP and other tricks to
>>     pay for the Bitcoin transaction fees, we can assume that Bitcoin
>>     fees do not play a part in the payment channel balances.
>>
>>     So, the interesting question is what are the costs of running a
>>     payment hub? The tx fees that a payment hub would have to pay to
>>     settle its Bitcoin transactions would be passed on as a cost to
>>     the clients of the payment hub. Also there is a cost to locking
>>     up funds in a payment channel (time value of money). The lost
>>     interest or opportunity cost on those funds would need to be paid
>>     for by its clients as well. And don't forget normal running costs
>>     such as networking and electricity.
>>
>>     On 9 August 2015 at 22:27, Tom Harding via bitcoin-dev
>>     <[email-masked]
>>     <mailto:[email-masked]>> wrote:
>>
>>         On Aug 9, 2015 11:54 AM, "Mark Friedenbach"
>>         <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>         > On the contrary the funds were advanced by the hub on the creation of the channel.
>>         There is no credit involved.
>>
>>         That's a chuckle. 
>>
>>         As I said, nothing requires the hub to advance anything, and
>>         if it does, Bob can expect to pay for it.
>>
>>         We'll see whether hubs assess a fee for depositing funds,
>>         whether the fee depends on the amount deposited, and whether
>>         it depends on the amount of time it stays there.
>>
>>         I predict "all of the above." There is a name for these kinds
>>         of fees.  Can you guess it?
>>
>>
>>         _______________________________________________
>>         bitcoin-dev mailing list
>>         [email-masked]
>>         <mailto:[email-masked]>
>>         https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
>>
>>
>>
>>     _______________________________________________
>>     bitcoin-dev mailing list
>>     [email-masked] <mailto:[email-masked]>
>>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>